%define name	amiwm
%define	version	0.20.48
%define release	9mdk

Summary:  	A Window Manager for the X Window System
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Graphical desktop/Other
URL:		http://www.lysator.liu.se/~marcus/amiwm.html
Source:		%{name}-%{version}.tar.bz2
Packager:       Antoine Ginies <aginies@mandrakesoft.com>
Source1:	%{name}README
Source2:	amiwmrc-default
Source3:	startamiwm
Source4:	%{name}-wmsession.xpm

Requires:	mandrake_desk >= 7.2-18mdk, xloadimage
BuildRequires:	XFree86-devel byacc flex
BuildRoot:	%{_tmppath}/%{name}-%{version}
Prefix:		%{_prefix}

%description
amiwm is an X window manager that tries to make your display look and feel
like an Amiga Workbench screen. It is fully functional and can do all the
usual window manager stuff, like moving and resizing windows.

%prep
%setup -q

%build
%configure --prefix=%{buildroot}/usr \

#%make DEFAULT_MENU=/etc/X11/blackbox/blackbox-menu
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/X11R6/bin
mkdir -p %{buildroot}%{_mandir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_defaultdocdir}
mkdir -p %{buildroot}%{_prefix}/lib/X11/%{name}/

%makeinstall

mv %{buildroot}%{_bindir}/amiwm %{buildroot}/usr/X11R6/bin/amiwm
#mv %{buildroot}%{_libdir}/amiwm/executecmd %{buildroot}/%{_bindir}/executecmd
#mv %{buildroot}%{_libdir}/amiwm/Keyboard %{buildroot}/%{_bindir}/Keyboard
#mv %{buildroot}%{_libdir}/amiwm/requestchoice %{buildroot}/%{_bindir}/requestchoice
#mv %{buildroot}%{_libdir}/amiwm/* %{buildroot}%{_prefix}/lib/X11/amiwm
cp %{SOURCE2} %{buildroot}%{_prefix}/lib/X11/%{name}/system.amiwmrc
cp %{SOURCE2} %{buildroot}%{_libdir}/amiwm/system.amiwmrc

# wmsession support
mkdir -p %{buildroot}/etc/X11/wmsession.d/
cat << EOFT > %{buildroot}/etc/X11/wmsession.d/20AmiWM
NAME=AMIWM
ICON=amiwm-wmsession.xpm
EXEC=/usr/X11R6/bin/startamiwm
DESC=AMIWM desktop environment
SCRIPT: 
exec /usr/X11R6/bin/startamiwm
EOFT


install -m 755 %{SOURCE3} %{buildroot}%{_prefix}/X11R6/bin/startamiwm

rm -f %buildroot%{_bindir}/requestchoice

#%post
#for app in %{light_apps}; do
#        update-alternatives --install %{prefix}/bin/${app} ${app} %{prefix}/bin/${app} 10
#	done

%clean
rm -fr %{buildroot}

%post
%{make_session}

%postun
%{make_session}

%files
%defattr(-,root,root) 
%doc README LICENSE INSTALL
%{_prefix}/X11R6/bin/amiwm
%{_prefix}/X11R6/bin/startamiwm
%config(noreplace) /etc/X11/wmsession.d/*
#%dir %{prefix}/lib/X11/%{name}/icons
%{_mandir}/man1/amiwm.1.bz2
#%{_bindir}/executecmd
%{_bindir}/ppmtoinfo
#%{_bindir}/Keyboard
#%{_bindir}/requestchoice
%dir %{_libdir}/%name
%{_libdir}/amiwm/executecmd
%{_libdir}/amiwm/Background
%{_libdir}/amiwm/Keyboard
%{_libdir}/amiwm/requestchoice
%{_libdir}/amiwm/system.amiwmrc
%dir %{_prefix}/lib/X11/%{name}
%{_prefix}/lib/X11/%{name}/system.amiwmrc
%{_libdir}/amiwm/def_tool.info
%{_libdir}/amiwm/system.map
%{_libdir}/amiwm/magicwb.map
%{_libdir}/amiwm/schwartz.map
%{_libdir}/amiwm/Xsession
%{_libdir}/amiwm/Xsession2
%{_libdir}/amiwm/Xinitrc
%{_libdir}/amiwm/amiwm-init

%changelog
* Sat Feb 28 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.20.48-9mdk
- Own dir

* Thu Nov 27 2003 Franck Villaume <fvill@freesurf.fr> 0.20.48-8mdk
- BuildRequires flex

* Sun Nov 16 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.20.48-7mdk
- From Franck Villaume <fvill@freesurf.fr>
  - Buildrequires byacc

* Fri Jan 03 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.20.48-6mdk
- new build
* Tue Aug 6 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.20.48-5mdk
- build with gcc 3.2
* Thu Jul 11 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.20.48-4mdk
- Build on 8.2 with 2.96
* Wed Mar 27 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.20.48-3mdk
- add update-menu
* Tue Mar 26 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.20.48-2mdk
- fixing problem of Keyboard an executecmd 
* Thu Mar 21 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.20.48-1mdk
- first release for Mandrakesoft
